Rygel.SearchableContainer.simple_search – librygel-server Reference Manual

# simple_search

## Description:

public async MediaObjects? simple_search (SearchExpression? expression, `uint` offset, `uint` max_count, out `uint` total_matches, `string` sort_criteria, `Cancellable`? cancellable) throws `Error`

Utility method that retrieves all children and recursively searches for all media objects that satisfy the given search expression in this container.

## Parameters:

expression | the search expression or `null` for wildcard
offset | zero-based index of the first object to return
max_count | maximum number of objects to return
total_matches | sets it to the actual number of objects that satisfy the given search expression. If it is not possible to compute this value (in a timely mannger), it is set to '0'.
cancellable | optional cancellable for this operation

## Returns:

A list of media objects.